import { PureComponent, ReactNode } from 'react';
import { ThemeProps } from '@atlaskit/theme/types';
import { SupportedLanguages } from '../supportedLanguages';
import { CodeTheme } from '../themes/types';
export interface CodeProps {
    /** The style object to apply to code */
    codeStyle?: {};
    /** The props that will be spread into the `<code>` tag. Useful for styling/assigning classNames */
    codeTagProps?: {};
    /** The language in which the code is written */
    language: SupportedLanguages | string;
    /** The element or custom react component to use in place of the default span tag */
    preTag?: ReactNode | string;
    /** The code to be formatted */
    text: string;
    /** A custom theme to be applied, implements the CodeTheme interface */
    theme?: CodeTheme | ThemeProps;
}
export default class Code extends PureComponent<CodeProps, {}> {
    static defaultProps: {
        theme: {};
        codeTagProps: {};
        preTag: string;
    };
    render(): JSX.Element;
}
