import React, { PureComponent } from 'react';
import { PrismAsyncLight as SyntaxHighlighter } from 'react-syntax-highlighter';
import { normalizeLanguage } from '../supportedLanguages';
import { applyTheme } from '../themes/themeBuilder';
export default class Code extends PureComponent {
    render() {
        const { inlineCodeStyle } = applyTheme(this.props.theme);
        const language = normalizeLanguage(this.props.language);
        const props = {
            language,
            PreTag: this.props.preTag,
            style: this.props.codeStyle || inlineCodeStyle,
            codeTagProps: this.props.codeTagProps,
        };
        return React.createElement(SyntaxHighlighter, Object.assign({}, props), this.props.text);
    }
}
Code.defaultProps = {
    theme: {},
    codeTagProps: {},
    preTag: 'span',
};
//# sourceMappingURL=Code.js.map